> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Void Debit Memo Used Payment

> Void a debit memo 'mark used' payment by creating a reversing journal entry.

        This creates a reversing JE that credits the A/P account and debits Uncategorized,
        then marks the payment as voided.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v1/debit-memo/{debit_memo_id}/payment/{payment_id}/void
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/debit-memo/{debit_memo_id}/payment/{payment_id}/void:
    post:
      tags:
        - Accounts Payable
      summary: Void Debit Memo Used Payment
      description: >-
        Void a debit memo 'mark used' payment by creating a reversing journal
        entry.

                This creates a reversing JE that credits the A/P account and debits Uncategorized,
                then marks the payment as voided.
      operationId: coa_api_v1_debit_memo_payment_void_create
      parameters:
        - in: path
          name: debit_memo_id
          schema:
            type: integer
          description: ID of the debit memo
          required: true
        - in: path
          name: payment_id
          schema:
            type: integer
          description: ID of the payment to void
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoidPayment'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/VoidPayment'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/VoidPayment'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingDebitMemoPayment'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    VoidPayment:
      type: object
      properties:
        void_date:
          type: string
          format: date
          nullable: true
    AccountingDebitMemoPayment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        payment_journal_entry_order:
          type: string
          readOnly: true
        voided_journal_entry_order:
          type: string
          readOnly: true
          nullable: true
        bill:
          type: string
          readOnly: true
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        payment_date:
          type: string
          format: date
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        voided_date:
          type: string
          format: date
          nullable: true
        customer:
          type: integer
          readOnly: true
        debit_memo:
          type: integer
        payment_journal_entry:
          type: integer
        payment_transaction:
          type: integer
          nullable: true
        voided_journal_entry:
          type: integer
          nullable: true
      required:
        - bill
        - created_at
        - customer
        - debit_memo
        - id
        - last_modified_at
        - payment_journal_entry
        - payment_journal_entry_order
        - voided_journal_entry_order
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````